# [searchbnf.conf](http://docs.splunk.com/Documentation/Splunk/latest/Admin/Searchbnfconf)

[loadjsonfromapi-command]
syntax = loadjsonfromapi api_url=<url> api_headers=<headers>
alias =
shortdesc = Generates records from an api endpoint.
description = \
    The command loads records from an api.
comment1 = \
    This example loads records from the example api.
example1 = \
    | loadjsonfromapi api_url="https://official-joke-api.appspot.com/random_ten
category = generating
maintainer = lluked
usage = public
tags = custom_search_command
